Debian Bug report logs - #412919
RFP: predictive -- Text completion package for Emacs

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: anarcat@debian.org

Date: Wed, 28 Feb 2007 22:45:01 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>, jan alonzo <jmalonzo@unpluggable.com>:
Bug#412919; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jan Alonzo <jmalonzo@unpluggable.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>, jan alonzo <jmalonzo@unpluggable.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jan Alonzo <jmalonzo@unpluggable.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: predictive -- Text completion package for Emacs
Date: Thu, 01 Mar 2007 09:43:11 +1100
Package: wnpp
Severity: wishlist
Owner: Jan Alonzo <jmalonzo@unpluggable.com>

* Package name    : predictive
  Version         : 0.16
  Upstream Author : Toby Cubitt <toby-predictive@dr-qubit.org>
* URL             : http://www.dr-qubit.org/emacs.php
* License         : GPL
  Programming Lang: Lisp
  Description     : Text completion package for Emacs

 Predictive is a minor-mode, text-completion package for Emacs. When enabled,
 predictive mode exploits the redundancy inherent in languages in order to
 complete words you are typing before you've finished typing them (somewhat
 like the IntelliSense feature in some IDEs). It is highly customisable, and
 works happily alongside other Emacs major modes.
 .
  Homepage: http://www.dr-qubit.org/emacs.php

-- System Information:
Debian Release: 4.0
  APT prefers feisty
  APT policy: (500, 'feisty')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.20-9-generic
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, jan alonzo <jmalonzo@unpluggable.com>:
Bug#412919; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, jan alonzo <jmalonzo@unpluggable.com>. Full text and rfc822 format available.

Message #10 received at 412919@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: debian-devel@lists.debian.org
Cc: 412919@bugs.debian.org
Subject: Re: Bug#412919: ITP: predictive -- Text completion package for Emacs
Date: Fri, 2 Mar 2007 09:54:15 +0100
[Message part 1 (text/plain, inline)]
On Thu, Mar 01, 2007 at 09:43:11AM +1100, Jan Alonzo wrote:
>  Predictive is a minor-mode, text-completion package for Emacs. When enabled,
>  predictive mode exploits the redundancy inherent in languages in order to
>  complete words you are typing before you've finished typing them (somewhat
>  like the IntelliSense feature in some IDEs). It is highly customisable, and

Sorry, but I found the content of the above parens to be misleading.

The main point of IntelliSense [1] is not about the actual completion
which type the word after you started typing it, is more about where to
find the possible completions and, in particular to find them via some
kind of representation of a codebase (e.g. the list of all methods
belonging to the class of the instance named to the left of a '.').

So, I ask you: either this is what "predictive" does for Emacs, maybe in
some programmable way (and would be like Vim's omnicompletion feature)
or it "just" complete in a single way using the word in the current
buffer (as plain Vim's autocompletion) and then it would be better do
describe it as "autocompletion".

Cheers.

[1] http://en.wikipedia.org/wiki/IntelliSense

-- 
Stefano Zacchiroli -*- Computer Science PhD student @ Uny Bologna, Italy
zack@{cs.unibo.it,debian.org,bononia.it} -%- http://www.bononia.it/zack/
(15:56:48)  Zack: e la demo dema ?    /\    All one has to do is hit the
(15:57:15)  Bac: no, la demo scema    \/    right keys at the right time
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, jan alonzo <jmalonzo@unpluggable.com>:
Bug#412919; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bartm@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, jan alonzo <jmalonzo@unpluggable.com>. Full text and rfc822 format available.

Message #15 received at 412919@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: 412919@bugs.debian.org
Subject: ITP: predictive
Date: Tue, 27 Nov 2007 16:17:49 +0100
[Message part 1 (text/plain, inline)]
Hello Jan,

The package at Mentors is older than the newest upstream release.  Do
you intend to update that package ?

Regards,

Bart Martens

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, jan alonzo <jmalonzo@unpluggable.com>:
Bug#412919; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jan Michael Alonzo <jmalonzo@unpluggable.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, jan alonzo <jmalonzo@unpluggable.com>. Full text and rfc822 format available.

Message #20 received at 412919@bugs.debian.org (full text, mbox):

From: Jan Michael Alonzo <jmalonzo@unpluggable.com>
To: Bart Martens <bartm@debian.org>
Cc: 412919@bugs.debian.org
Subject: Re: Bug#412919: ITP: predictive
Date: Sun, 02 Dec 2007 07:28:19 +1100
[Message part 1 (text/plain, inline)]
Bart Martens <bartm@debian.org> writes:

> Hello Jan,

Hi Bart

> The package at Mentors is older than the newest upstream release.  Do
> you intend to update that package ?

Thanks for telling me about the new upstream release. I intend to update it
sometime in the next couple of days.

Thanks again.


P.S. Would you be interested in sponsoring it once i've updated it? Cheers.

-- 
I am not one of those who believe that a great army is the means of
maintaining peace, because if you build up a great profession those who
form parts of it want to exercise their profession. -Woodrow Wilson, 28th
US president, Nobel laureate (1856-1924)
[Message part 2 (application/pgp-signature, inline)]

Changed Bug title to `RFP: predictive -- Text completion package for Emacs' from `ITP: predictive -- Text completion package for Emacs'. Request was from Sandro Tosi <morph@debian.org> to control@bugs.debian.org. (Mon, 20 Apr 2009 22:15:12 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by jan alonzo <jmalonzo@unpluggable.com>. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Sat, 02 May 2009 03:37:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#412919; Package wnpp. (Thu, 03 Sep 2009 07:45:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philippe Coval <rzr@users.sf.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Thu, 03 Sep 2009 07:45:22 GMT) Full text and rfc822 format available.

Message #29 received at 412919@bugs.debian.org (full text, mbox):

From: Philippe Coval <rzr@users.sf.net>
To: 412919@bugs.debian.org
Subject: debian : emacs predictive
Date: Thu, 03 Sep 2009 09:24:14 +0200
[Message part 1 (text/plain, inline)]
Hi
I see this has been updated (2008) at :
http://mentors.debian.net/debian/pool/main/p/predictive/

But there it's still out of sync from upstream :
http://www.dr-qubit.org/download.php?file=predictive/predictive-0.23.6.tar.gz&counter=predictive.tar.gz

I'll test it and give feedback if I can provide help

regards

-- 
  #  Philippe Coval     mailto:rzr[a]users.sf.net    pgp:0x467094BC  #
  #  http://rzr.online.fr/contribs.htm xmpp:rzr[a]jabber.fr irc:RzR  #


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#412919; Package wnpp. (Wed, 27 Jul 2011 16:26:54 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 27 Jul 2011 16:26:54 GMT) Full text and rfc822 format available.

Message #34 received at 412919@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 412919@bugs.debian.org
Cc: control@bugs.debian.org
Subject: predictive: closing old inactive RFP
Date: Wed, 27 Jul 2011 17:57:23 +0200
close 412919
thanks

Hello,

This is an automatic mail sent to close this RFP.

Your RFP wnpp bug is being closed because of the following reasons:
- It hasn't seen any activity for the last 18 months.
- The amount of RFPs on the Debian BTS is huge and we need to
  clean up a bit the place.

As this an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not intended
by owners and submitters to be closed, for example if the RFP is still
of your interest, or there has been some kind of activity around it.
In that case, please do not hesitate to reopen the bug!

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

reopen 123456
thanks bts

Replacing '123456' for the number of your RFP bug. The subject of the
mail is ignored. Or if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <lucas@debian.org>.

Thanks for your cooperation,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Bug closed, send any further explanations to Jan Alonzo <jmalonzo@unpluggable.com> Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:40:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 25 Aug 2011 07:40:36 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Antoine Beaupré <anarcat@debian.org> to control@bugs.debian.org. (Wed, 14 Dec 2011 17:45:03 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'anarcat@debian.org' from 'Jan Alonzo <jmalonzo@unpluggable.com>' Request was from Antoine Beaupré <anarcat@debian.org> to control@bugs.debian.org. (Wed, 14 Dec 2011 17:57:08 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Dec 2011 17:57:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:30:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.